//<#!@READ-ONLY-SECTION-START@!#>
/*
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */

#include "cfm_aic_mu_projectapp_top.h"
using namespace std;
using namespace sc_core;
using namespace cf_dt;
using namespace cf_pk;
using namespace cf_core;

#ifdef COFS_MODEL_TYPE_APPLICATION_MODELING
int sc_main(int argc, char *argv[])
{

	// AIC_MU_ProjectApp pre-simulation section
	cfm_aic_mu_projectapp_cb_pre_simulation();

	// AIC_MU_ProjectApp instantiation
	cfm_aic_mu_projectapp* cfmi_AIC_MU_ProjectApp = new cfm_aic_mu_projectapp("AIC_MU_ProjectApp");

	// start simulation
	cf_start();

	// shutdown simulator
	cf_stop();
	delete cfmi_AIC_MU_ProjectApp;

	return EXIT_SUCCESS;
}
#endif // COFS_MODEL_TYPE_APPLICATION_MODELING

//<#!@READ-ONLY-SECTION-END@!#>